Bug 1098677 - Review Request: med - Library to exchange meshed data
Summary: Review Request: med - Library to exchange meshed data
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-17 00:39 UTC by Sandro Mani
Modified: 2015-01-24 18:45 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-06-13 12:45:22 UTC
hobbes1069: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sandro Mani 2014-05-17 00:39:37 UTC
Spec URL: http://smani.fedorapeople.org/review/med.spec
SRPM URL: http://smani.fedorapeople.org/review/med-3.0.7-1.src.rpm
Description: Library to exchange meshed data
Fedora Account System Username: smani

Comment 1 Richard Shaw 2014-05-17 13:51:04 UTC
Doing a quick check now. Note that your SRPM URL is bad... Missing the "fc21".

Comment 3 Richard Shaw 2014-05-17 17:53:32 UTC
The good news is the spec looks nice and clean and it builds properly at least on f20/x86_64.

The bad news is there is a lot of rpmlint output and not all of it is warnings:

These can probably be fixed by adding "-Wl,--as-needed" to the linker options:
med.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmed.so.1.5.0 /lib64/libquadmath.so.0
med.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmed.so.1.5.0 /lib64/libm.so.6
med.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmedimport.so.0.2.0 /usr/lib64/libgfortran.so.3
med.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmedimport.so.0.2.0 /usr/lib64/libquadmath.so.0
med.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmedimport.so.0.2.0 /usr/lib64/libm.so.6
med.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmedC.so.1.5.0 /lib64/libm.so.6

Nothing you can do but should be reported upstream:
med.x86_64: W: shared-lib-calls-exit /usr/lib64/libmed.so.1.5.0 exit@GLIBC_2.2.5
med.x86_64: W: shared-lib-calls-exit /usr/lib64/libmed.so.1.5.0 _exit@GLIBC_2.2.5
med.x86_64: W: shared-lib-calls-exit /usr/lib64/libmedimport.so.0.2.0 exit@GLIBC_2.2.5
med.x86_64: W: shared-lib-calls-exit /usr/lib64/libmedC.so.1.5.0 exit@GLIBC_2.2.5



Should be fixed, there are a few different methods:
med.x86_64: W: file-not-utf8 /usr/share/doc/med/ChangeLog


These need to be fixed:
med.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libmedimport.so.0.2.0 ['/usr/lib64']
med-tools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/mdump2 ['/usr/lib64']
med-tools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/medimport ['/usr/lib64']
med-tools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/medconforme ['/usr/lib64']
med-tools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/mdump3 ['/usr/lib64']

Do these binaries have options for version and help? (i.e. -v --help) If so you can look at using help2man to generate man pages:
med-tools.x86_64: W: no-manual-page-for-binary mdump3
med-tools.x86_64: W: no-manual-page-for-binary mdump2
med-tools.x86_64: W: no-manual-page-for-binary medimport
med-tools.x86_64: W: no-manual-page-for-binary medconforme
med-tools.x86_64: W: no-manual-page-for-binary xmdump2
med-tools.x86_64: W: no-manual-page-for-binary xmdump3
med-tools.x86_64: W: no-manual-page-for-binary mdump
med-tools.x86_64: W: no-manual-page-for-binary xmdump

Are you sure this is the right URL?
med-doc.noarch: W: invalid-url URL: http://www.code-aster.org/outils/med/ <urlopen error timed out>
python-med.x86_64: W: invalid-url URL: http://www.code-aster.org/outils/med/ <urlopen error timed out>

These need to be fixed. I'm not sure how rpmbuild didn't catch them:
python-med.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.7/site-packages/med/_medenumtest.so.0.0.0 ['/usr/lib64']
python-med.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.7/site-packages/med/_medenum.so.0.0.0 ['/usr/lib64']
python-med.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.7/site-packages/med/_medfilter.so.0.0.0 ['/usr/lib64']
python-med.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.7/site-packages/med/_medlink.so.0.0.0 ['/usr/lib64']
python-med.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.7/site-packages/med/_medlocalization.so.0.0.0 ['/usr/lib64']
python-med.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.7/site-packages/med/_medfield.so.0.0.0 ['/usr/lib64']
python-med.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.7/site-packages/med/_medsubdomain.so.0.0.0 ['/usr/lib64']
python-med.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.7/site-packages/med/_medfile.so.0.0.0 ['/usr/lib64']
python-med.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.7/site-packages/med/_medlibrary.so.0.0.0 ['/usr/lib64']
python-med.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.7/site-packages/med/_medmesh.so.0.0.0 ['/usr/lib64']
python-med.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.7/site-packages/med/_medfamily.so.0.0.0 ['/usr/lib64']
python-med.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.7/site-packages/med/_medprofile.so.0.0.0 ['/usr/lib64']
python-med.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.7/site-packages/med/_medparameter.so.0.0.0 ['/usr/lib64']
python-med.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.7/site-packages/med/_medequivalence.so.0.0.0 ['/usr/lib64']
python-med.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.7/site-packages/med/_medinterp.so.0.0.0 ['/usr/lib64']

Comment 4 Michael Schwendt 2014-05-17 18:42:50 UTC
> %package        doc
> Summary:        Documentation for %{name}
> BuildArch:      noarch
> Requires:       %{name} = %{version}-%{release}

Please don't add such dependencies to documentation packages unless the documentation can only be displayed using programs contained within the base package.

Comment 5 Sandro Mani 2014-05-17 18:44:17 UTC
@Michael: in that case I would have to ship a separate copy of the LICENSE file, right?

Comment 6 Michael Schwendt 2014-05-17 19:01:15 UTC
Yes, that's commonly done - especially if the documentation applies its own licensing terms.

Comment 7 Sandro Mani 2014-05-17 21:04:05 UTC
Spec URL: http://smani.fedorapeople.org/review/med.spec
SRPM URL: http://smani.fedorapeople.org/review/med-3.0.7-2.fc21.src.rpm

%changelog
* Sat May 17 2014 Sandro Mani <manisandro@gmail.com> - 3.0.7-2
- Added -Wl,--as-needed to LDFLAGS
- Added --disable-rpath
- Fixed ChangeLog encoding
- Removed dependency on main package for -doc subpackage

> W: invalid-url URL: http://www.code-aster.org/outils/med/ <urlopen error timed out>
Looks like the whole code-aster.org is down currently (hope temporarily, since it's actually the reason why I'm packaging SALOME in the first place). 

> W: shared-lib-calls-exit
As soon as I'm done with packaging SALOME I'll contact upstream and try to upstream the patches I needed, I'll also mention this issue.

> W: no-manual-page-for-binary
Unfortunately no usable --help output (and the little it says is in French)

Comment 8 Richard Shaw 2014-05-19 13:52:08 UTC
Can you reupload your SRPM? It looks like it's bad. I can download it but not install it.

Comment 9 Sandro Mani 2014-05-19 14:39:20 UTC
Done, should work now.

Thanks

Comment 10 Richard Shaw 2014-05-19 16:10:48 UTC
1. The -Wl,--as-needed didn't seem to help and it's not excessive so you can drop that if you want.

2. Change your BR for python to a versioned one, most likely python2-devel.

3. Based on the output of licensecheck the license should be LGPLv3+

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel
--> should BR python2-devel

- License should be LGPLv3+ based on output of licensecheck.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (with incorrect FSF address)", "LGPL (v3 or later)", "GPL (v2 or
     later)", "Unknown or generated". 446 files have unknown license. Detailed
     output of licensecheck in /home/build/fedora-
     review/1098677-med/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in med-doc
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: med-3.0.7-2.fc20.x86_64.rpm
          python-med-3.0.7-2.fc20.x86_64.rpm
          med-tools-3.0.7-2.fc20.x86_64.rpm
          med-devel-3.0.7-2.fc20.x86_64.rpm
          med-doc-3.0.7-2.fc20.noarch.rpm
          med-3.0.7-2.fc20.src.rpm
med.x86_64: W: spelling-error %description -l en_US fichier -> fishier, chiefer, fiercer
med.x86_64: W: spelling-error %description -l en_US et -> ET, wt, rt
med.x86_64: W: spelling-error %description -l en_US de -> DE, ed, d
med.x86_64: W: shared-lib-calls-exit /usr/lib64/libmed.so.1.5.0 exit@GLIBC_2.2.5
med.x86_64: W: shared-lib-calls-exit /usr/lib64/libmed.so.1.5.0 _exit@GLIBC_2.2.5
med.x86_64: W: shared-lib-calls-exit /usr/lib64/libmedimport.so.0.2.0 exit@GLIBC_2.2.5
med.x86_64: W: shared-lib-calls-exit /usr/lib64/libmedC.so.1.5.0 exit@GLIBC_2.2.5
python-med.x86_64: W: no-documentation
med-tools.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
med-tools.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
med-tools.x86_64: W: no-documentation
med-tools.x86_64: W: no-manual-page-for-binary mdump3
med-tools.x86_64: W: no-manual-page-for-binary mdump2
med-tools.x86_64: W: no-manual-page-for-binary medimport
med-tools.x86_64: W: no-manual-page-for-binary medconforme
med-tools.x86_64: W: no-manual-page-for-binary xmdump2
med-tools.x86_64: W: no-manual-page-for-binary xmdump3
med-tools.x86_64: W: no-manual-page-for-binary mdump
med-tools.x86_64: W: no-manual-page-for-binary xmdump
med-devel.x86_64: W: no-documentation
med.src: W: spelling-error %description -l en_US fichier -> fishier, chiefer, fiercer
med.src: W: spelling-error %description -l en_US et -> ET, wt, rt
med.src: W: spelling-error %description -l en_US de -> DE, ed, d
6 packages and 0 specfiles checked; 0 errors, 23 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint med med-devel med-tools med-doc python-med
med.x86_64: W: spelling-error %description -l en_US fichier -> fishier, chiefer, fiercer
med.x86_64: W: spelling-error %description -l en_US et -> ET, wt, rt
med.x86_64: W: spelling-error %description -l en_US de -> DE, ed, d
med.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmed.so.1.5.0 /lib64/libquadmath.so.0
med.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmed.so.1.5.0 /lib64/libm.so.6
med.x86_64: W: shared-lib-calls-exit /usr/lib64/libmed.so.1.5.0 exit@GLIBC_2.2.5
med.x86_64: W: shared-lib-calls-exit /usr/lib64/libmed.so.1.5.0 _exit@GLIBC_2.2.5
med.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmedimport.so.0.2.0 /lib64/libgfortran.so.3
med.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmedimport.so.0.2.0 /lib64/libquadmath.so.0
med.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmedimport.so.0.2.0 /lib64/libm.so.6
med.x86_64: W: shared-lib-calls-exit /usr/lib64/libmedimport.so.0.2.0 exit@GLIBC_2.2.5
med.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmedC.so.1.5.0 /lib64/libm.so.6
med.x86_64: W: shared-lib-calls-exit /usr/lib64/libmedC.so.1.5.0 exit@GLIBC_2.2.5
med-devel.x86_64: W: no-documentation
med-tools.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
med-tools.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
med-tools.x86_64: W: no-documentation
med-tools.x86_64: W: no-manual-page-for-binary mdump3
med-tools.x86_64: W: no-manual-page-for-binary mdump2
med-tools.x86_64: W: no-manual-page-for-binary medimport
med-tools.x86_64: W: no-manual-page-for-binary medconforme
med-tools.x86_64: W: no-manual-page-for-binary xmdump2
med-tools.x86_64: W: no-manual-page-for-binary xmdump3
med-tools.x86_64: W: no-manual-page-for-binary mdump
med-tools.x86_64: W: no-manual-page-for-binary xmdump
python-med.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 26 warnings.
# echo 'rpmlint-done:'



Requires
--------
med (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgfortran.so.3()(64bit)
    libgfortran.so.3(GFORTRAN_1.0)(64bit)
    libgfortran.so.3(GFORTRAN_1.4)(64bit)
    libhdf5.so.8()(64bit)
    libm.so.6()(64bit)
    libmed.so.1()(64bit)
    libquadmath.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

med-devel (rpmlib, GLIBC filtered):
    libmed.so.1()(64bit)
    libmedC.so.1()(64bit)
    libmedimport.so.0()(64bit)
    med(x86-64)

med-tools (rpmlib, GLIBC filtered):
    /usr/bin/env
    libc.so.6()(64bit)
    libmed.so.1()(64bit)
    libmedimport.so.0()(64bit)
    med(x86-64)
    rtld(GNU_HASH)
    tk

med-doc (rpmlib, GLIBC filtered):

python-med (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgfortran.so.3()(64bit)
    libhdf5.so.8()(64bit)
    libm.so.6()(64bit)
    libmed.so.1()(64bit)
    libquadmath.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    med(x86-64)
    python(abi)
    rtld(GNU_HASH)



Provides
--------
med:
    libmed.so.1()(64bit)
    libmedC.so.1()(64bit)
    libmedimport.so.0()(64bit)
    med
    med(x86-64)

med-devel:
    med-devel
    med-devel(x86-64)

med-tools:
    med-tools
    med-tools(x86-64)

med-doc:
    med-doc

python-med:
    python-med
    python-med(x86-64)



Unversioned so-files
--------------------
python-med: /usr/lib64/python2.7/site-packages/med/_medenum.so
python-med: /usr/lib64/python2.7/site-packages/med/_medenumtest.so
python-med: /usr/lib64/python2.7/site-packages/med/_medequivalence.so
python-med: /usr/lib64/python2.7/site-packages/med/_medfamily.so
python-med: /usr/lib64/python2.7/site-packages/med/_medfield.so
python-med: /usr/lib64/python2.7/site-packages/med/_medfile.so
python-med: /usr/lib64/python2.7/site-packages/med/_medfilter.so
python-med: /usr/lib64/python2.7/site-packages/med/_medinterp.so
python-med: /usr/lib64/python2.7/site-packages/med/_medlibrary.so
python-med: /usr/lib64/python2.7/site-packages/med/_medlink.so
python-med: /usr/lib64/python2.7/site-packages/med/_medlocalization.so
python-med: /usr/lib64/python2.7/site-packages/med/_medmesh.so
python-med: /usr/lib64/python2.7/site-packages/med/_medparameter.so
python-med: /usr/lib64/python2.7/site-packages/med/_medprofile.so
python-med: /usr/lib64/python2.7/site-packages/med/_medsubdomain.so

Source checksums
----------------
http://files.salome-platform.org/Salome/other/med-3.0.7.tar.gz :
  CHECKSUM(SHA256) this package     : 60165ef55e5a298a0c8b30a7eb898acb2065b1df3b6a2218ecdba44c0f08c9b6
  CHECKSUM(SHA256) upstream package : 60165ef55e5a298a0c8b30a7eb898acb2065b1df3b6a2218ecdba44c0f08c9b6


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -b 1098677
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 11 Sandro Mani 2014-05-19 22:36:23 UTC
Spec URL: http://smani.fedorapeople.org/review/med.spec
SRPM URL: http://smani.fedorapeople.org/review/med-3.0.7-3.fc21.src.rpm

* Tue May 20 2014 Sandro Mani <manisandro@gmail.com> - 3.0.7-3
- Removed -Wl,--as-needed again
- Fixed license LGPLv3 -> LGPLv3+
- BR python2-devel instead of python-devel


Concerning the unused-direct-shlib-dependency, rpmlint oddly gives me no such warnings:

$ rpmlint med-3.0.7-3.fc21.x86_64.rpm 
med.x86_64: W: spelling-error %description -l en_US fichier -> fishier, chiefer, fiercer
med.x86_64: W: spelling-error %description -l en_US et -> ET, wt, rt
med.x86_64: W: spelling-error %description -l en_US de -> DE, ed, d
med.x86_64: W: shared-lib-calls-exit /usr/lib64/libmed.so.1.5.0 exit@GLIBC_2.2.5
med.x86_64: W: shared-lib-calls-exit /usr/lib64/libmed.so.1.5.0 _exit@GLIBC_2.2.5
med.x86_64: W: shared-lib-calls-exit /usr/lib64/libmedimport.so.0.2.0 exit@GLIBC_2.2.5
med.x86_64: W: shared-lib-calls-exit /usr/lib64/libmedC.so.1.5.0 exit@GLIBC_2.2.5

Comment 12 Richard Shaw 2014-05-20 02:20:07 UTC
(In reply to Sandro Mani from comment #11)
> Concerning the unused-direct-shlib-dependency, rpmlint oddly gives me no
> such warnings:

This can only be checked on an installed package (which fedora-review does) so if you wanted to repeat the same check you would have to:

# yum install ./path/to/med/rpm
$ rpmlint med

Since it's mainly libm I'm not too concerned. I have another package I maintain that linked excessively with libraries it didn't actually use so it was more serious.

Since all blockers have been addressed this package is:

*** APPROVED ***

Comment 13 Sandro Mani 2014-05-20 17:24:42 UTC
> This can only be checked on an installed package
Indeed

Thanks for the review!

New Package SCM Request
=======================
Package Name: med
Short Description: Library to exchange meshed data
Owners: smani
Branches: f20 epel6 el7
InitialCC:

Comment 14 Gwyn Ciesla 2014-05-20 18:38:16 UTC
Git done (by process-git-requests).

Comment 15 Fedora Update System 2015-01-03 18:39:07 UTC
med-3.0.7-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/med-3.0.7-6.el6

Comment 16 Fedora Update System 2015-01-03 18:40:44 UTC
med-3.0.7-6.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/med-3.0.7-6.el7

Comment 17 Fedora Update System 2015-01-24 18:45:38 UTC
med-3.0.7-6.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 18 Fedora Update System 2015-01-24 18:45:54 UTC
med-3.0.7-6.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.